For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
      • GETGet knowledge sources
      • POSTCreate a knowledge source
      • DELDelete a knowledge source
      • PATCHUpdate a knowledge source
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
KnowledgeSources

Create a knowledge source

POST
https://example.ada.support/api/v2/knowledge/sources/
POST
/api/v2/knowledge/sources/
1import requests
2
3url = "https://example.ada.support/api/v2/knowledge/sources/"
4
5payload = {
6 "id": "5df263b7db5a7e6ea03fae9b",
7 "name": "Ada Knowledge Base"
8}
9headers = {
10 "Authorization": "Bearer <token>",
11 "Content-Type": "application/json"
12}
13
14response = requests.post(url, json=payload, headers=headers)
15
16print(response.json())
1{
2 "id": "5df263b7db5a7e6ea03fae9b",
3 "name": "Ada Knowledge Base",
4 "external_id": "external_id_1",
5 "metadata": {
6 "example_key1": "example_string_value",
7 "example_key2": true,
8 "example_key3": 123
9 },
10 "created": "2020-09-20T00:00:00+00:00",
11 "updated": "2020-09-20T00:00:00+00:00",
12 "last_sync": "2020-09-20T00:00:00+00:00"
13}
Create a knowledge source
Was this page helpful?
Previous

Delete a knowledge source

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
idstringRequired1-160 characters
A unique identifier for the knowledge source
namestringRequired>=1 character
The name of the knowledge source
metadataobject or nullOptional
A dictionary of arbitrary key,value pairs. This data is not used by Ada, but can be used by the client to store additional information about the knowledge source.

Response

Knowledge source created
idstring
A unique identifier for the knowledge source
namestring>=1 character
The name of the knowledge source
external_idstring or null
An external identifier for the knowledge source
metadataobject or null
A dictionary of arbitrary key,value pairs. This data is not used by Ada, but can be used by the client to store additional information about the knowledge source.
createdstringformat: "date-time"
The date the knowledge source was created
updatedstringformat: "date-time"
The date the knowledge source was last updated
last_syncstringformat: "date-time"
The date the knowledge source was last synchronized

Errors

400
Bad Request Error
401
Unauthorized Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error